[Debian-islamic-commits] [SCM] Packaging for Zekr branch, master, updated. debian/1.0.0+repack-7-6-ge863058

أحمد المحمو =?UTF-8?Q?=D8=AF=D9=8A=20?=(Ahmed El-Mahmoudy) aelmahmoudy at sabily.org
Sat Jul 14 08:39:36 UTC 2012


The following commit has been merged in the master branch:
commit 663b1a2a1d33b075007c2c9f9cc4a1a553f4f8cd
Author: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy at sabily.org>
Date:   Sat Jul 14 10:22:25 2012 +0200

    Revert "Do not do any system-wide indexing during installation"
    
    This reverts commit d86ae940dd490135abdc668e1d991c2fdac0cfdc.
    
    New upstream properly supports -workspace switch

diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..44a9b4d
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,49 @@
+#!/bin/sh
+# postinst script for zekr
+#
+# see: dh_installdeb(1)
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    #indexing Quran text
+    zekr -index all
+    #indexing installed Quran translations
+    cd /usr/share/zekr/res/text/trans/ && for transfilename in *.trans.zip; do
+        zekr -index all ${transfilename%.trans.zip}
+    done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..7d47fd1
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,43 @@
+#!/bin/sh
+# prerm script for zekr-quran-translations
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    zekr -clean index-all
+    rm -rf /usr/share/zekr/res/index/
+#    rmdir /usr/share/zekr/res/index/ 
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

-- 
Packaging for Zekr



More information about the Debian-islamic-commits mailing list